Bug 163963 - Mk/bsd.port.mk, math/spooles-mpich, science/mpqc-mpich -- trailing slashes and MASTER_PORT
Summary: Mk/bsd.port.mk, math/spooles-mpich, science/mpqc-mpich -- trailing slashes an...
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-09 17:30 UTC by Matthew Seaman
Modified: 2019-09-04 16:27 UTC (History)
2 users (show)

See Also:
bapt: exp-run+


Attachments
trailing-slash.diff (1.66 KB, patch)
2012-01-09 17:30 UTC, Matthew Seaman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Seaman 2012-01-09 17:30:10 UTC
A trailing slash on the definition of MASTERDIR in a slave port breaks
the generated value of MASTER_PORT -- eg:

maggot:...ports/math/spooles-mpich:% make -V MASTER_PORT
/usr/ports/math/spooles/

Applying the patch to bsd.port.mk shown below produces a correct
result:

maggot:...ports/math/spooles-mpich:% make -V MASTER_PORT
math/spooles

However, there are only two instances of this trailing slash problem
currently in the ports: math/spooles-mpich and science/mpqc-mpich
Comment 1 Chris Rees freebsd_committer 2012-01-09 18:05:48 UTC
On 9 January 2012 17:24, Matthew Seaman <m.seaman@infracaninophile.co.uk> wrote:
>
> -MASTER_PORT?=${MASTERDIR:C/[^\/]+\/\.\.\///:C/[^\/]+\/\.\.\///:C/^.*\/([^\/]+\/[^\/]+)$/\\1/}
> +MASTER_PORT?=${MASTERDIR:C/[^\/]+\/\.\.\///:C/[^\/]+\/\.\.\///:C/^.*\/([^\/]+\/[^\/]+)\/?$/\\1/}

Yuk, backslashes galore!

Can't we use a different separator instead?

http://people.freebsd.org/~crees/patches/163963.diff uses commas
instead of slashes to delimit the regex, getting rid of most of the
toothpicks....

Chris
Comment 2 Matthew Seaman 2012-01-09 18:26:00 UTC
On 09/01/2012 18:05, Chris Rees wrote:
> On 9 January 2012 17:24, Matthew Seaman <m.seaman@infracaninophile.co.uk> wrote:
>>
>> -MASTER_PORT?=${MASTERDIR:C/[^\/]+\/\.\.\///:C/[^\/]+\/\.\.\///:C/^.*\/([^\/]+\/[^\/]+)$/\\1/}
>> +MASTER_PORT?=${MASTERDIR:C/[^\/]+\/\.\.\///:C/[^\/]+\/\.\.\///:C/^.*\/([^\/]+\/[^\/]+)\/?$/\\1/}
> 
> Yuk, backslashes galore!
> 
> Can't we use a different separator instead?


Good idea.

	Cheers,

	Matthew

-- 
Dr Matthew J Seaman MA, D.Phil.                   7 Priory Courtyard
                                                  Flat 3
PGP: http://www.infracaninophile.co.uk/pgpkey     Ramsgate
JID: matthew@infracaninophile.co.uk               Kent, CT11 9PW
Comment 3 Matthew Seaman freebsd_committer 2012-02-07 20:46:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->matthew

take my own PR
Comment 4 dfilter service freebsd_committer 2012-02-10 09:33:14 UTC
matthew     2012-02-10 09:33:05 UTC

  FreeBSD ports repository

  Modified files:
    science/mpqc-mpich   Makefile 
    math/spooles-mpich   Makefile 
  Log:
  Fix the two affected ports
  
  PR:             163963
  Approved by:    maho (maintainer) shaun (mentor)
  
  Revision  Changes    Path
  1.7       +1 -1      ports/math/spooles-mpich/Makefile
  1.11      +1 -1      ports/science/mpqc-mpich/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Matthew Seaman freebsd_committer 2012-02-10 09:50:53 UTC
Responsible Changed
From-To: matthew->portmgr


Fixes to math/spooles-mpich and science/mpqc-mpich committed. 
The rest is portmgr territory.
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2012-03-19 23:53:33 UTC
State Changed
From-To: open->analyzed

take for -exp. 


Comment 7 Mark Linimon freebsd_committer freebsd_triage 2012-03-19 23:53:33 UTC
Responsible Changed
From-To: portmgr->linimon
Comment 8 Mark Linimon freebsd_committer freebsd_triage 2013-02-20 05:24:40 UTC
Responsible Changed
From-To: linimon->portmgr

I am no longer in a position to test this.
Comment 9 Mark Linimon freebsd_committer freebsd_triage 2014-06-02 01:23:17 UTC
Infrastructure PR.
Comment 10 Baptiste Daroussin freebsd_committer 2014-06-15 23:22:54 UTC
An exp-run is expected for that patch (too bad we do not have a exp-run status)
Comment 11 Baptiste Daroussin freebsd_committer 2019-09-04 13:48:17 UTC
is it still an issue ?
Comment 12 Matthew Seaman freebsd_committer 2019-09-04 16:27:14 UTC
(In reply to Baptiste Daroussin from comment #11)

Yeah, it looks like it is still relevant.  Only part of the proposed fix was applied -- the change to the MASTER_PORT variable hasn't been made.  Given it's been 7 years since I reported this and I don't recall there being any related problems in the mean time, I am entirely ambivalent about applying the rest of the patch.  If you want to just close this, feel free to go ahead.